Table of Contents

Class: TestCase | Twisted-0.17.4/pyunit/unittest.py
--- | ---

### A class whose instances are single test cases.

By default, the test code itself should be placed in a method named `runTest`.

If the fixture may be used for many test cases, create as many test methods as are needed. When instantiating such a TestCase subclass, specify in the constructor arguments the name of the test method that the instance is to execute.

Test authors should subclass TestCase for their own tests. Construction and deconstruction of the test's environment (`fixture`) can be implemented by overriding the `setUp` and `tearDown` methods respectively.

If it is necessary to override the __init__ method, the base class __init__ method must always be called. It is important that subclasses should not change the signature of their __init__ method, since instances of the classes are instantiated automatically by parts of the framework in order to be run.

Methods |
--- | ---

__call__ __exc_info __init__ __repr__ __str__ countTestCases debug defaultTestResult fail failIf | failIfEqual failUnless failUnlessEqual failUnlessRaises id run setUp shortDescription tearDown

| __call__

    __call__ ( self,  result=None )

| __exc_info

    __exc_info ( self )

Return a version of sys.exc_info() with the traceback frame minimised; usually the top level of the traceback frame is not needed.

| __init__

    __init__ ( self,  methodName='runTest' )

Create an instance of the class that will use the named test method when executed. Raises a ValueError if the instance does not have a method with the specified name.

Exceptions |
--- | ---
ValueError, "no such test method in %s: %s" %( self.__class__, methodName )

| __repr__

    __repr__ ( self )

| __str__

    __str__ ( self )

| countTestCases

    countTestCases ( self )

| debug

    debug ( self )

Run the test without collecting errors in a TestResult

| defaultTestResult

    defaultTestResult ( self )

| fail

    fail ( self,  msg=None )

Fail immediately, with the given message.

Exceptions |
--- | ---
self.failureException, msg

| failIf

    failIf (
            self,
            expr,
            msg=None,
            )

Fail the test if the expression is true.

Exceptions |
--- | ---
self.failureException, msg

| failIfEqual

    failIfEqual (
            self,
            first,
            second,
            msg=None,
            )

Fail if the two objects are equal as determined by the `==` operator.

Exceptions |
--- | ---
self.failureException, (msg or '%s == %s' %(repr( first ), repr( second ) ) )

| failUnless

    failUnless (
            self,
            expr,
            msg=None,
            )

Fail the test unless the expression is true.

Exceptions |
--- | ---
self.failureException, msg

| failUnlessEqual

    failUnlessEqual (
            self,
            first,
            second,
            msg=None,
            )

Fail if the two objects are unequal as determined by the `!=` operator.

Exceptions |
--- | ---
self.failureException, (msg or '%s != %s' %(repr( first ), repr( second ) ) )

| failUnlessRaises

    failUnlessRaises (
            self,
            excClass,
            callableObj,
            *args,
            *kwargs,
            )

Fail unless an exception of class excClass is thrown by callableObj when invoked with arguments args and keyword arguments kwargs. If a different type of exception is thrown, it will not be caught, and the test case will be deemed to have suffered an error, exactly as for an unexpected exception.

Exceptions |
--- | ---
self.failureException, excName

| id

    id ( self )

| run

    run ( self,  result=None )

| setUp

    setUp ( self )

Hook method for setting up the test fixture before exercising it.

| shortDescription

    shortDescription ( self )

Returns a one-line description of the test, or None if no description has been provided.

The default implementation of this method returns the first line of the specified test method's docstring.

| tearDown

    tearDown ( self )

Hook method for deconstructing the test fixture after testing it.

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:45 2002 by HappyDoc version 2.0